﻿using Syncfusion.WinForms.DataGrid;
using Syncfusion.WinForms.DataGrid.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SyncfusionWinFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.sfDataGrid1.Columns.Add(CreateTextCol("ColSN", "Column SN"));
            this.sfDataGrid1.Columns.Add(CreateTextCol("optSn", "Opti SN"));
            this.sfDataGrid1.Columns.Add(CreateTextCol("colowner", "owner"));


        }

        public static GridTextColumn CreateTextCol(string MappingName, string HeaderText, AutoSizeColumnsMode autoSizeColumnsMode = AutoSizeColumnsMode.AllCells)
        {
            var col = new GridTextColumn();
            col.HeaderText = HeaderText;
            col.MappingName = MappingName;
            col.AllowEditing = false;
            col.AllowFiltering = true;
            col.ShowFilterRowOptions = false;
            col.FilterRowCondition = FilterRowCondition.Contains;
            col.AutoSizeColumnsMode = autoSizeColumnsMode;
            return col;
        }
    }
}
